#!/usr/bin/python3

import sys
from l2lss.init import init
from l2lss.clone import clone
from l2lss.pull import pull
from l2lss.push import push


def main(*args):
    commands = {'init': init, 'clone': clone, 'push': push, 'pull': pull}
    command = sys.argv[1]
    if len(sys.argv) < 2:
        print('You must provide a command.\nExiting.')
        sys.exit(1)
    elif command not in commands:
        print('Unknown command: {}.\nExiting'.format(sys.argv[1]))
        sys.exit(1)

    del sys.argv[1]
    commands[command](*sys.argv)


if __name__ == '__main__':
    main()
