#!/usr/bin/python3
# -*- coding: utf-8 -*-
from setuptools import setup
from setuptools.command.test import test as TestCommand

class PyTest(TestCommand):
    def finalize_options(self):
        TestCommand.finalize_options(self)
        self.test_args = []
        self.test_suite = True
    def run_tests(self):
        # import here, cause outside the eggs aren't loaded
        import pytest
        pytest.main(self.test_args)

setup(
    name = "l2lss",
    version = "0.9.0",
    packages = ['l2lss'],
    tests_require=['pytest'],
    cmdclass = {'test': PyTest},
    author = "Julien Enselme",
    author_email = "jenselme@jujens.eu",
    description = "Python script to synchronise web site from a local computer to another one.",
    license = "BSD",
    keywords = "mercurial git dcvs api rsync synchronisation",
    url = "https://bitbucket.org/Jenselme/dcvsapi",
    classifiers = """Development Status :: 4 - Beta
Intended Audience :: Developers
License :: OSI Approved :: BSD License
Operating System :: OS Independent
Programming Language :: Python :: 3
Programming Language :: Python :: 3.2
Programming Language :: Python :: 3.3
Programming Language :: Python :: 3.4
Topic :: Software Development :: Version Control""".split('\n'),
    long_description = """Python script to synchronise web site from a local computer to another one.
It relies on git or mercurial for code and rsync for files. It was inspired by DCVS
""",
    entry_points={
    'console_scripts': [
      'l2lss = l2lss.main:main',
    ],
  },
)
